<?xml version="1.0" encoding="UTF-8"?>
<feature
      id="de.uniol.inf.is.odysseus.server.platform.feature"
      label="Server Platform Feature"
      version="1.0.0.202302222335"
      provider-name="University of Oldenburg">

   <description>
      This feature bundles the platform for the server product. So, it defines the container where Odysseus is running in.
Therefore, it does not provide any functionality by itself and has no dependency to the core or other features.
   </description>

   <copyright>
      Copyright by the Odysseus Team (odysseus.informatik.uni-oldenburg.de)
   </copyright>

   <license url="http://www.apache.org/licenses/LICENSE-2.0">
      Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
   </license>

   <includes
         id="org.eclipse.equinox.p2.core.feature"
         version="1.6.1500.v20220819-1949"/>

   <includes
         id="org.simpleframework.xml.feature"
         version="1.0.0"/>

   <plugin
         id="org.eclipse.osgi"
         download-size="1502"
         install-size="3184"
         version="3.18.100.v20220817-1601"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.runtime"
         download-size="74"
         install-size="154"
         version="3.26.0.v20220813-0916"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.app"
         download-size="90"
         install-size="178"
         version="1.6.200.v20220720-2012"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.common"
         download-size="146"
         install-size="279"
         version="3.16.200.v20220817-1601"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.ds"
         download-size="28"
         install-size="57"
         version="1.6.100.v20191001-1333"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.preferences"
         download-size="135"
         install-size="274"
         version="3.10.100.v20220710-1223"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.registry"
         download-size="196"
         install-size="402"
         version="3.11.200.v20220817-1601"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.commands"
         download-size="114"
         install-size="213"
         version="3.10.200.v20220512-0851"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.filesystem"
         download-size="71"
         install-size="130"
         version="1.9.500.v20220817-1539"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.resources"
         download-size="893"
         install-size="1950"
         version="3.18.0.v20220828-0546"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.contenttype"
         download-size="101"
         install-size="208"
         version="3.8.200.v20220817-1539"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.jobs"
         download-size="109"
         install-size="213"
         version="3.13.100.v20220817-1539"
         unpack="false"/>

   <plugin
         id="org.eclipse.osgi.util"
         download-size="14"
         install-size="26"
         version="3.7.100.v20220615-1601"
         unpack="false"/>

   <plugin
         id="org.eclipse.osgi.services"
         download-size="48"
         install-size="76"
         version="3.11.0.v20220618-0838"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.expressions"
         download-size="93"
         install-size="179"
         version="3.8.200.v20220613-1047"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.security"
         download-size="115"
         install-size="234"
         version="1.3.1000.v20220801-1135"
         unpack="false"/>

   <plugin
         id="org.sat4j.core"
         download-size="429"
         install-size="825"
         version="2.3.6.v20201214"
         unpack="false"/>

   <plugin
         id="org.sat4j.pb"
         download-size="432"
         install-size="917"
         version="2.3.6.v20201214"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.simpleconfigurator"
         download-size="48"
         install-size="87"
         version="1.4.100.v20220620-1617"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.simpleconfigurator.manipulator"
         download-size="26"
         install-size="49"
         version="2.2.0.v20210315-2228"
         unpack="false"/>

   <plugin
         id="org.eclipse.update.configurator"
         download-size="98"
         install-size="191"
         version="3.4.900.v20220718-1722"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.launcher"
         download-size="52"
         install-size="92"
         version="1.6.400.v20210924-0641"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.event"
         download-size="33"
         install-size="58"
         version="1.6.100.v20211021-1418"
         unpack="false"/>

   <plugin
         id="org.eclipse.ecf"
         download-size="127"
         install-size="249"
         version="3.10.0.v20210925-0032"
         unpack="false"/>

   <plugin
         id="org.eclipse.ecf.filetransfer"
         download-size="52"
         install-size="82"
         version="5.1.102.v20210409-2301"
         unpack="false"/>

   <plugin
         id="org.eclipse.ecf.identity"
         download-size="64"
         install-size="124"
         version="3.9.402.v20210409-2301"
         unpack="false"/>

   <plugin
         id="org.eclipse.ecf.provider.filetransfer"
         download-size="129"
         install-size="269"
         version="3.2.800.v20220215-0126"
         unpack="false"/>

   <plugin
         id="javax.xml"
         download-size="339"
         install-size="510"
         version="1.4.1.v20220503-2331"
         unpack="false"/>

   <plugin
         id="org.eclipse.ecf.provider.filetransfer.ssl"
         download-size="9"
         install-size="13"
         version="1.0.201.v20210409-2301"
         fragment="true"
         unpack="false"/>

   <plugin
         id="org.eclipse.ecf.ssl"
         download-size="15"
         install-size="24"
         version="1.2.401.v20210409-2301"
         fragment="true"
         unpack="false"/>

   <plugin
         id="org.apache.httpcomponents.httpcore"
         download-size="350"
         install-size="694"
         version="4.4.14.v20210128-2225"
         unpack="false"/>

   <plugin
         id="org.apache.commons.codec"
         download-size="367"
         install-size="700"
         version="1.14.0.v20200818-1422"
         unpack="false"/>

   <plugin
         id="org.apache.commons.logging"
         download-size="71"
         install-size="145"
         version="1.2.0.v20180409-1502"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.http.jetty"
         download-size="29"
         install-size="53"
         version="3.8.100.v20211021-1418"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.http"
         download-size="243"
         install-size="487"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.server"
         download-size="775"
         install-size="1612"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.servlet"
         download-size="161"
         install-size="351"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.util"
         download-size="548"
         install-size="1064"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.http.servlet"
         download-size="236"
         install-size="524"
         version="1.7.300.v20220726-1300"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.io"
         download-size="205"
         install-size="413"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.security"
         download-size="118"
         install-size="246"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.console"
         download-size="129"
         install-size="258"
         version="1.4.500.v20211021-1418"
         unpack="false"/>

   <plugin
         id="org.apache.felix.gogo.command"
         download-size="38"
         install-size="79"
         version="1.1.2"
         unpack="false"/>

   <plugin
         id="org.apache.felix.gogo.runtime"
         download-size="198"
         install-size="367"
         version="1.1.6"
         unpack="false"/>

   <plugin
         id="org.apache.felix.gogo.shell"
         download-size="57"
         install-size="113"
         version="1.1.4"
         unpack="false"/>

   <plugin
         id="org.eclipse.osgi.compatibility.state"
         download-size="250"
         install-size="598"
         version="1.2.700.v20220722-0431"
         fragment="true"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.p2.updatechecker"
         download-size="18"
         install-size="29"
         version="1.3.0.v20210315-2228"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.p2.updatesite"
         download-size="100"
         install-size="228"
         version="1.2.300.v20220420-1427"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.p2.publisher"
         download-size="103"
         install-size="229"
         version="1.7.200.v20220805-0804"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.p2.publisher.eclipse"
         download-size="242"
         install-size="499"
         version="1.4.100.v20220420-1427"
         unpack="false"/>

   <plugin
         id="javax.xml.soap"
         download-size="29"
         install-size="48"
         version="1.3.0.v201105210645"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.p2.director.app"
         download-size="61"
         install-size="108"
         version="1.2.200.v20220802-0626"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.p2.repository.tools"
         download-size="252"
         install-size="514"
         version="2.3.100.v20220504-1755"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.net"
         download-size="49"
         install-size="93"
         version="1.4.0.v20220813-1037"
         unpack="false"/>

   <plugin
         id="org.slf4j.api"
         download-size="685"
         install-size="770"
         version="1.7.36.4"/>

   <plugin
         id="org.apache.httpcomponents.client5.httpclient5"
         download-size="842"
         install-size="1962"
         version="5.1.2.v20211217-1500"
         unpack="false"/>

   <plugin
         id="org.apache.log4j"
         download-size="358"
         install-size="688"
         version="1.2.19.v20220208-1728"
         unpack="false"/>

   <plugin
         id="org.eclipse.xtend.lib"
         download-size="109"
         install-size="260"
         version="2.28.0.v20220829-0436"
         unpack="false"/>

   <plugin
         id="org.eclipse.xtext"
         download-size="2686"
         install-size="6146"
         version="2.28.0.v20220829-0438"
         unpack="false"/>

   <plugin
         id="org.eclipse.xtext.common.types"
         download-size="501"
         install-size="1190"
         version="2.28.0.v20220829-0445"
         unpack="false"/>

   <plugin
         id="org.antlr.runtime"
         download-size="169"
         install-size="327"
         version="3.2.0.v20220404-1927"
         unpack="false"/>

   <plugin
         id="org.eclipse.xtend.lib.macro"
         download-size="77"
         install-size="145"
         version="2.28.0.v20220829-0436"
         unpack="false"/>

   <plugin
         id="jakarta.servlet"
         download-size="334"
         install-size="1472"
         version="5.0.0.v20210105-0527"
         unpack="false"/>

   <plugin
         id="jakarta.servlet-api"
         download-size="81"
         install-size="151"
         version="4.0.0"
         unpack="false"/>

</feature>
